# generator-itp-react-project

[![NPM version][npm-version-image]][npm-url] [![MIT License][license-image]][license-url]

> In The Pocket React project generator

## Installation

First, install [Yeoman](http://yeoman.io) and generator-itp-react-project using [npm](https://www.npmjs.com/) (we assume you have pre-installed [node.js](https://nodejs.org/)).

```bash
npm install -g yo
npm install -g generator-itp-react-project
```

Then generate your new project:

```bash
yo itp-react-project
```

## Features
### Webpack
* [Webpack 3](https://webpack.js.org/)
* [Webpack dev server](https://github.com/webpack/webpack-dev-server)
* [babel-loader](https://github.com/babel/babel-loader)
* [style-loader](https://github.com/webpack-contrib/style-loader)
* [css-loader](https://github.com/webpack-contrib/css-loader)
* [postcss-loader](https://github.com/postcss/postcss-loader)
* [url-loader](https://github.com/webpack-contrib/url-loader)
* [file-loader](https://github.com/webpack-contrib/file-loader)
* [html-loader](https://github.com/webpack-contrib/html-loader)
* [eslint-loader](https://github.com/MoOx/eslint-loader)
* [react-hot-loader](https://github.com/gaearon/react-hot-loader)
* [eslint-plugin-react](https://github.com/yannickcr/eslint-plugin-react)
* [extract-text-webpack-plugin](https://github.com/webpack-contrib/extract-text-webpack-plugin)
* [html-webpack-plugin](https://github.com/jantimon/html-webpack-plugin)
* [webpack-manifest-plugin](https://github.com/danethurber/webpack-manifest-plugin)
* [webpack-md5-hash](https://github.com/erm0l0v/webpack-md5-hash)
* [optimize-css-assets-webpack-plugin](https://github.com/NMFR/optimize-css-assets-webpack-plugin)

### Babel
* [babel-core](https://github.com/babel/babel)
* [babel-polyfill](https://babeljs.io/docs/usage/polyfill/)
* [babel-preset-env](https://babeljs.io/docs/plugins/preset-env/)
* [babel-preset-react](https://github.com/babel/babel/tree/master/packages/babel-preset-react)
* [babel-preset-stage-0](https://babeljs.io/docs/plugins/preset-stage-0/)
* [babel-eslint](https://github.com/babel/babel-eslint)

### React
* [react](https://facebook.github.io/react/)
* [react-dom](https://facebook.github.io/react/docs/react-dom.html)
* [prop-types](https://github.com/facebook/prop-types)

### CSS
* [postcss-cssnext](https://github.com/MoOx/postcss-cssnext)
* [normalize.css](https://github.com/necolas/normalize.css/)

### Testing
* [jest](https://facebook.github.io/jest/)
* [jest-css-modules](https://github.com/justinsisley/Jest-CSS-Modules)
* [react-test-renderer](https://github.com/facebook/react/tree/master/packages/react-test-renderer)
* [enzyme](https://github.com/airbnb/enzyme)
* [enzyme-adapter-react-16](https://github.com/airbnb/enzyme/tree/master/packages/enzyme-adapter-react-16)

## License

MIT © [In The Pocket](https://inthepocket.mobi/)

[license-image]: http://img.shields.io/badge/license-MIT-blue.svg?style=flat
[license-url]: LICENSE

[npm-url]: https://npmjs.org/package/generator-itp-react-project
[npm-version-image]: http://img.shields.io/npm/v/generator-itp-react-project.svg?style=flat
[npm-downloads-image]: http://img.shields.io/npm/dm/generator-itp-react-project.svg?style=flat
