import React from 'react';
import ReactTestRenderer from 'react-test-renderer';
import ShallowRenderer from 'react-test-renderer/shallow';
import Title from '../src/components/Title';

test('Title snapshot', () => {
  const component = ReactTestRenderer.create(
    <Title text='Test title' />
  );
  const tree = component.toJSON();
  expect(tree).toMatchSnapshot();
});

test('Title shallow', () => {
  const renderer = new ShallowRenderer();
  renderer.render(<Title text='Test title' />);
  const result = renderer.getRenderOutput();

  expect(result.type).toBe('h1');
  expect(result.props.children).toEqual('Test title');
});
