import React from 'react';
import ReactDOM from 'react-dom';
import App from './containers/App';

/*
 * Code splitting / dynamic import demo
 * https://webpack.js.org/guides/code-splitting/
 * This will produce a chunk named 'bundle.async.[hash].js'
 * At runtime, you should see a console log 'Hello from chunk!'
 *
 */
async function getAsyncMethod() {
  try {
    const asyncMethods = await import(/* webpackChunkName: "async" */ './async');
    asyncMethods.default();
  } catch (error) {
    console.error(error); // eslint-disable-line no-console
  }
}

getAsyncMethod();

/*
 * Render App container
 */
ReactDOM.render(<App />, document.getElementById('root')); // eslint-disable-line no-undef

/*
 * Hot Module Replacement API
 */
/* eslint-disable */
if (module.hot) {
  module.hot.accept('./containers/App', () => {
    const NextApp = require('./containers/App').default;
    ReactDOM.render(
      <App />,
      document.getElementById('root')
    );
  });
}
/* eslint-enable */
